com.asprise.imaging.scan

## Class ScanException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.asprise.imaging.scan.ScanException

- All Implemented Interfaces:
    Serializable

      public class ScanException
      extends RuntimeException

  Java image acquisition related exception
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScanException()`
    `ScanException(String message)`
    `ScanException(String message, Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMessage()`
    `boolean` | `isDeviceBusy()` The device is busy.
    `boolean` | `isDeviceLocked()` The device is locked.
    `boolean` | `isDeviceOffline()` The device is offline.
    `boolean` | `isExceptionInDriver()` The device driver threw an exception.
    `boolean` | `isFeederPaperEmpty()` There are no documents in the document feeder.
    `boolean` | `isFeederPaperJam()` Paper is jammed in the scanner's document feeder.
    `boolean` | `isFeederPaperProblem()` An unspecified problem occurred with the scanner's document feeder.
    `boolean` | `isGeneralError()` An unknown error has occurred with the device.
    `boolean` | `isMultiPageFeedProblem()` A scan error occurred because of a multiple page feed condition.
    `boolean` | `isUserInterventionRequired()` There is a problem with the WIA device.
    `boolean` | `isWarmingUp()` The device is warming up.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ScanException

          public ScanException()

    - #### ScanException

          public ScanException(String message)

    - #### ScanException

          public ScanException(String message,
                       Throwable cause)

  - ### Method Detail

    - #### getMessage

          public String getMessage()

      Overrides:
        `getMessage` in class `Throwable`

    - #### isFeederPaperEmpty

          public boolean isFeederPaperEmpty()

      There are no documents in the document feeder.
      Returns:

    - #### isFeederPaperJam

          public boolean isFeederPaperJam()

      Paper is jammed in the scanner's document feeder.
      Returns:

    - #### isFeederPaperProblem

          public boolean isFeederPaperProblem()

      An unspecified problem occurred with the scanner's document feeder.
      Returns:

    - #### isMultiPageFeedProblem

          public boolean isMultiPageFeedProblem()

      A scan error occurred because of a multiple page feed condition. This feature is available with Windows 8 and later versions of Windows.
      Returns:

    - #### isDeviceBusy

          public boolean isDeviceBusy()

      The device is busy. Close any apps that are using this device or wait for it to finish and then try again.
      Returns:

    - #### isDeviceLocked

          public boolean isDeviceLocked()

      The device is locked. Close any apps that are using this device or wait for it to finish and then try again.
      Returns:

    - #### isDeviceOffline

          public boolean isDeviceOffline()

      The device is offline. Make sure the device is powered on and connected to the PC.
      Returns:

    - #### isWarmingUp

          public boolean isWarmingUp()

      The device is warming up.
      Returns:

    - #### isUserInterventionRequired

          public boolean isUserInterventionRequired()

      There is a problem with the WIA device. Make sure that the device is turned on, online, and any cables are properly connected.
      Returns:

    - #### isExceptionInDriver

          public boolean isExceptionInDriver()

      The device driver threw an exception.
      Returns:

    - #### isGeneralError

          public boolean isGeneralError()

      An unknown error has occurred with the device.
      Returns:

Copyright © Asprise Software. All Rights Reserved. Please visit the product page at asprise.com